<?php
/**
 * Individual slide markup
 * 
 * @package SlideDeck
 */
?>
<div id="slide_editor_<?php echo $count; ?>" class="postbox slide">
    <div title="Click to toggle" class="handlediv"><br></div>
	<h3 class="hndle"><span><?php echo empty( $slide['title'] ) ? "Slide " . $slide['slide_order'] : $slide['title']; ?></span></h3>
	
	<div class="inside">
		<?php if( isset( $slide['id']) && !empty( $slide['id'] ) ): ?>
			<input type="hidden" name="slide[<?php echo $count; ?>][id]" value="<?php echo $slide['id']; ?>" />
		<?php endif; ?>
		
		<a href="#<?php echo $count; ?>" class="slide-delete">Delete Slide</a>
		<input type="hidden" name="slide[<?php echo $count; ?>][slide_order]" value="<?php echo $slide['slide_order']; ?>" class="slide-order" />
		<ol class="formRows">
			<li>
				<label>Slide Title:</label>
				<input type="text" name="slide[<?php echo $count; ?>][title]" value="<?php echo empty( $slide['title'] ) ? 'Slide ' . $count : $slide['title']; ?>" size="40" maxlength="255" class="slide-title" />
			</li>
			<li>
				<?php $editor_id = "slide_{$count}_content"; ?>
				<div class="editor-nav">
					<a href="#html" class="editor-html mode">HTML</a>
					<a href="#visual" class="editor-visual mode active">Visual</a>

					<div class="media-buttons hide-if-no-js">
						<?php
							if(!function_exists('apply_filters')){
								$path = dirname( dirname(__FILE__) . "../../../../../../" );
								
								//ini_set('display_errors', false);
								require_once( $path . "/wp-config.php" );
								require_once( "../slidedeck.php" );
							}
						
							$uploading_iframe_ID = $slide['gallery_id'];
							$context = apply_filters('media_buttons_context', __('Upload/Insert  %s'));
							$media_upload_iframe_src = get_bloginfo('wpurl') . "/wp-admin/media-upload.php?post_id=$uploading_iframe_ID&amp;editor=$editor_id";
							$media_title = __('Add Media');
							$image_upload_iframe_src = apply_filters('image_upload_iframe_src', $media_upload_iframe_src . "&amp;type=image");
							$image_title = __('Add an Image');
							$video_upload_iframe_src = apply_filters('video_upload_iframe_src', $media_upload_iframe_src . "&amp;type=video");
							$video_title = __('Add Video');
							$audio_upload_iframe_src = apply_filters('audio_upload_iframe_src', $media_upload_iframe_src . "&amp;type=audio");
							$audio_title = __('Add Audio');
							
							$out = '<a href="' . $image_upload_iframe_src . '&amp;TB_iframe=true" class="thickbox" title="' . $image_title . '" onclick="return false;"><img src="' . get_bloginfo('wpurl') . '/wp-admin/images/media-button-image.gif" alt="' . $image_title . '" /></a>';
							$out.= '<a href="' . $video_upload_iframe_src . '&amp;TB_iframe=true" class="thickbox" title="' . $video_title . '" onclick="return false;"><img src="' . get_bloginfo('wpurl') . '/wp-admin/images/media-button-video.gif" alt="' . $video_title . '" /></a>';
							$out.= '<a href="' . $audio_upload_iframe_src . '&amp;TB_iframe=true" class="thickbox" title="' . $audio_title . '" onclick="return false;"><img src="' . get_bloginfo('wpurl') . '/wp-admin/images/media-button-music.gif" alt="' . $audio_title . '" /></a>';
							$out.= '<a href="' . $media_upload_iframe_src . '&amp;TB_iframe=true" class="thickbox" title="' . $media_title . '" onclick="return false;"><img src="' . get_bloginfo('wpurl') . '/wp-admin/images/media-button-other.gif" alt="' . $media_title . '" /></a>';
							
							printf($context, $out);
						?>
					</div>
				</div>
				<div class="editor-container">
					<textarea name="slide[<?php echo $count; ?>][content]" cols="80" rows="10" class="slide-content" id="<?php echo $editor_id; ?>"><?php echo $slide['content']; ?></textarea>
				</div>
			</li>
		</ol>
	</div>
</div>