<?php
	$slidedeck_id = $_GET['slidedeck_id'];
	$width = intval($_GET['preview_w']) . "px";
	$height= intval($_GET['preview_h']) . "px";
	$action = explode("?",$_SERVER['REQUEST_URI']);
	$action = $action[0];
	
	$path = dirname( dirname(__FILE__) . "../../../../../../" );

	include( $path . "/wp-config.php" );
	require_once( "../slidedeck.php" );
	
	$slidedeck = slidedeck_load( $slidedeck_id );
    $is_dynamic = (boolean) $slidedeck['dynamic'];
	$skins = slidedeck_get_skins();
	$skin = $skins[$slidedeck['skin']];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		
        <link rel="stylesheet" href="<?php bloginfo( 'stylesheet_url' ); ?>" media="screen" type="text/css" />
		<link rel="stylesheet" href="<?php echo $skin['url']; ?>" media="screen" type="text/css" />
		
        <script type="text/javascript" src="<?php echo slidedeck_url( '/lib/jquery-1.3.2.min.js' ); ?>"></script>
		<script type="text/javascript" src="<?php echo slidedeck_url( '/lib/slidedeck.jquery.lite.pack.js' ); ?>"></script>
		<?php if( isset( $skin['script_url'] ) && !empty( $skin['script_url'] ) ): ?>
			<script type="text/javascript" src="<?php echo $skin['script_url']; ?>"></script>
		<?php endif; ?>
		
        <style type="text/css">
			body {
				margin: 0;
				padding: 0;
                text-align: left;
                background-image: none;
                font-size: 12px;
			}
			div.slidedeck_frame { margin: 20px auto 0; }
            dl.slidedeck {
                margin-left: auto;
                margin-right: auto;
            }
			form {
				font-family: Tahoma, Arial, Helvetica, sans-serif;
				font-size: 13px;
				color: #333;
			}
			form fieldset {
				display: block;
				width: 580px;
				margin: 0 auto 10px;
				border-radius: 7px;
				-moz-border-radius: 7px;
				-webkit-border-radius: 7px;
			}
			form fieldset label {
				font-weight: bold;
				color: #666;
			}
			
			input.button-primary {
				font-family: "Lucida Grande", Verdana, Geneva, Arial, Helvetica, sans-serif;
				font-size: 11px;
				font-weight: bold;
				color: #eaf2fa;
				line-height: 13px;
				vertical-align: baseline;
				background: url('../../../../wp-admin/images/button-grad.png') 0 0 repeat-x #217598;
				margin: 1px;
				padding: 2px 8px;
				border: 1px solid #298cba;
				border-radius: 11px;
				-moz-border-radius: 11px;
				-webkit-border-radius: 11px;
				cursor: pointer;
			}
			input.button-primary:hover {
				border-color: #13455b;
				color: #eaf2fa;
			}
			input.button-primary:active {
				background-image: url('../../../../wp-admin/images/button-grad-active.png');
			}
            #preview_note {
                margin: 0;
                padding: 0;
				font-family: Tahoma, Arial, Helvetica, sans-serif;
                font-size: 11px;
                text-align: center;
            }
		</style>
		
		<script type="text/javascript">
    		var TBWindow = $(parent.document.getElementById('TB_window'));
    		var TBIFrame = $(parent.document.getElementById('TB_iframeContent'));
			$(document).ready(function(){
				$('form').bind('submit', function(event){
					var w = Math.max(620, parseInt(document.getElementById('preview_w').value,10) + 70);
					var h = parseInt(document.getElementById('preview_h').value,10) + 180;
					TBWindow.width(w).height(h).css({
						marginLeft: (0 - w/2) + 'px'
					});
					TBIFrame.width(w).height(h - 30);
				});
			});
        </script>
        <?php if( !isset( $_GET['refresh'] ) ): ?>
            <script type="text/javascript">
    			$(window).load(function(){
    				$('form').submit();
    			});
    		</script>
        <?php endif; ?>
	</head>
	<body>
		<div<?php echo $is_dynamic === false ? ' class="post entry"' : ''; ?> style="margin:0;padding:0;">
			<?php slidedeck( $slidedeck_id, array( 'width' => $width, 'height' => $height ) ); ?>
		</div>
		<form action="<?php echo $action; ?>" method="get">
			<fieldset>
				<legend><strong>Customize Your SlideDeck's Appearance</strong></legend>
				<input type="hidden" name="slidedeck_id" value="<?php echo $slidedeck_id; ?>" />
                <input type="hidden" name="refresh" value="0" /> 
				<label>Dimensions:</label> <input type="text" name="preview_w" value="<?php echo $width; ?>" id="preview_w" />
					 <?php if( (boolean) $slidedeck['dynamic'] == true ): ?>
					 	<input type="hidden" name="preview_h" value="<?php echo $height; ?>" id="preview_h" />
					 <?php else: ?>
						 x <input type="text" name="preview_h" value="<?php echo $height; ?>" id="preview_h" />
					 <?php endif; ?> 
				<input type="submit" value="Update Dimensions" class="button-primary" />
			</fieldset>
		</form>
        <p id="preview_note"><em><strong>NOTE:</strong> This is only a preview, your mileage may vary. Place this SlideDeck in a post and preview the post for a more accurate preview.</em></p>
	</body>
</html>